Puredata UI not loading, if .config-file cannot be read

Bug #1359410 reported by Dennis on 2014-08-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puredata (Ubuntu)
Undecided
Unassigned

Bug Description

pd is not starting the UI, if started via "sudo -u XX puredata".
The problem seems to be that puredata tries to read configuration files from HOME/, which are then not accessible and thus startup stops.

What works is:
sudo -u XX bash
export HOME=/tmp
puredata

Sound devices are opened in both cases.

System:
Pd-0.45.4 ("") compiled 17:28:13 Dec 11 2013
Ubuntu 14.04 64bit
* Linux x201 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Bug and patch was submitted to upstream, but nothing happened.
http://sourceforge.net/p/pure-data/bugs/1147/

Details
====
PD does not check during loading the configuration, if the configuration file can be opened (.config/puredata).
If the file permissions do not allow to read the folder an exception is thrown, but not catched/reported by PD - and since the UI thread fails the UI is not loaded properly then.

Related branches

Dennis (dennis.guse) wrote :
tags: added: ui

The attachment "pd_sudo_startup.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package puredata - 0.46.2-1

---------------
puredata (0.46.2-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.46.2

  * Removed patches applied upstream.
  * Backported build-fix for renamed help-patch.
  * Refreshed patches.
    * Updated patch-updating helper-script.

 -- IOhannes m zmölnig (Debian/GNU) <email address hidden> Sat, 18 Oct 2014 09:17:09 +0200

Changed in puredata (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers